internal::Wrapper< T > Struct Template Reference

`#include <_flow_graph_types_impl.h>`

Inheritance diagram for internal::Wrapper< T >:
Collaboration diagram for internal::Wrapper< T >:

## Classes

struct | _unwind_space

## Public Types

typedef T | value_type
typedef T * | pointer_type

## Public Member Functions

const value_type & | value () const
| Wrapper (const T &other)
| Wrapper (const Wrapper &other)
void | CopyTo (void *newSpace) const __TBB_override
| ~Wrapper ()
Public Member Functions inherited from internal::WrapperBase
virtual | ~WrapperBase ()

## Private Member Functions

| Wrapper ()

## Private Attributes

T | value_space

## Detailed Description

### template<typename T>
struct internal::Wrapper< T >

Definition at line 441 of file _flow_graph_types_impl.h.

## Member Typedef Documentation

## pointer_type

template<typename T >

typedef T* internal::Wrapper< T >::pointer_type

Definition at line 443 of file _flow_graph_types_impl.h.

## value_type

template<typename T >

typedef T internal::Wrapper< T >::value_type

Definition at line 442 of file _flow_graph_types_impl.h.

## Constructor & Destructor Documentation

## Wrapper() [1/3]

template<typename T >

internal::Wrapper< T >::Wrapper | ( |  | ) |

private

Referenced by internal::Wrapper< T >::CopyTo(), and internal::Wrapper< T[N]>::CopyTo().

Here is the caller graph for this function:

## Wrapper() [2/3]

template<typename T >

internal::Wrapper< T >::Wrapper | ( | const T & | other | ) |

inline explicit

Definition at line 461 of file _flow_graph_types_impl.h.

: value_space(other) { }
internal::Wrapper::value_space
T value_space
Definition: _flow_graph_types_impl.h:445

## Wrapper() [3/3]

template<typename T >

internal::Wrapper< T >::Wrapper | ( | const Wrapper< T > & | other | ) |

inline explicit

Definition at line 462 of file _flow_graph_types_impl.h.

: value_space(other.value_space) { }

## ~Wrapper()

template<typename T >

internal::Wrapper< T >::~Wrapper | ( |  | ) |

inline

Definition at line 469 of file _flow_graph_types_impl.h.

{ }

## Member Function Documentation

## CopyTo()

template<typename T >

void internal::Wrapper< T >::CopyTo | ( | void * | newSpace | ) | const

inline virtual

Reimplemented from internal::WrapperBase.

Definition at line 464 of file _flow_graph_types_impl.h.

{
_unwind_space guard((pointer_type)newSpace);
(void) new(newSpace) Wrapper(value_space);
guard.space = NULL;
}
void
void
Definition: ittnotify_static.h:91
internal::Wrapper::pointer_type
T * pointer_type
Definition: _flow_graph_types_impl.h:443
internal::Wrapper::Wrapper
Wrapper()

References internal::Wrapper< T >::_unwind_space::space, internal::Wrapper< T >::value_space, void, and internal::Wrapper< T >::Wrapper().

Here is the call graph for this function:

## value()

template<typename T >

const value_type& internal::Wrapper< T >::value | ( |  | ) | const

inline

Definition at line 447 of file _flow_graph_types_impl.h.

{ return value_space; }

References internal::Wrapper< T >::value_space.

## Member Data Documentation

## value_space

template<typename T >

T internal::Wrapper< T >::value_space

private

Definition at line 445 of file _flow_graph_types_impl.h.

Referenced by internal::Wrapper< T >::CopyTo(), internal::Wrapper< T >::value(), internal::Wrapper< T[N]>::value(), internal::Wrapper< T[N]>::Wrapper(), and internal::Wrapper< T[N]>::~Wrapper().

The documentation for this struct was generated from the following file:

- _flow_graph_types_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.